diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/tests/Og2Tests.test b/drupal7/sites/all/modules/ldap/ldap_authorization/tests/Og2Tests.test
index b691d2bf..229501e4 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/tests/Og2Tests.test
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/tests/Og2Tests.test
@@ -1,20 +1,22 @@
 <?php
 
 /**
- * @file Simpletest for Ldap Authorization OG Module, for og 7.x-2.x.
- *
- * Manual testing to accompany simpletests:
- *  - logon with og authorization disabled and make sure nothing happens
- *  - logon with og authorization enabled and make sure admin and member group memberships granted
- *  - change mappings so no roles granted
- *  - logon and make sure memberships revoked.
+ * @file
+ * Simpletest for Ldap Authorization OG Module, for og 7.x-2.x.
  */
 
 drupal_load('module', 'ldap_test');
 module_load_include('php', 'ldap_test', 'LdapTestCase.class');
 require_once drupal_get_path('module', 'ldap_authorization_og') . '/LdapAuthorizationConsumerOG.class.php';
+
 /**
+ * Simpletest for Ldap Authorization OG Module, for og 7.x-2.x.
  *
+ * Manual testing to accompany simpletests:
+ *  - logon with og authorization disabled and make sure nothing happens
+ *  - logon with og authorization enabled and make sure admin and member group memberships granted
+ *  - change mappings so no roles granted
+ *  - logon and make sure memberships revoked.
  */
 class LdapAuthorizationOg2Tests extends LdapTestCase {
 
@@ -22,25 +24,25 @@ class LdapAuthorizationOg2Tests extends LdapTestCase {
   public $groupBundle = 'group';
   public $groupType = 'node';
   public $group_content_type = NULL;
-  public $group_nodes = array();
+  public $group_nodes = [];
   public $user1;
   public $consumerType = 'og_group';
   public $module_name = 'ldap_authorization_og';
   protected $ldap_test_data;
-  public $customOgRoles = array(
-    'dungeon-master' => array('entity_type' => 'node', 'bundle_type' => 'group'),
-    'time-keeper' => array('entity_type' => 'node', 'bundle_type' => 'group'),
-  );
+  public $customOgRoles = [
+    'dungeon-master' => ['entity_type' => 'node', 'bundle_type' => 'group'],
+    'time-keeper' => ['entity_type' => 'node', 'bundle_type' => 'group'],
+  ];
 
   /**
    *
    */
   public static function getInfo() {
-    return array(
+    return [
       'group' => 'LDAP Authorization',
       'name' => 'OG 7.x-2.x Tests.',
       'description' => 'Test ldap authorization og 2.',
-    );
+    ];
   }
 
   /**
@@ -53,19 +55,19 @@ class LdapAuthorizationOg2Tests extends LdapTestCase {
   /**
    *
    */
-  public function setUp($addl_modules = array()) {
-    parent::setUp(array('ldap_authentication', 'ldap_authorization', 'ldap_authorization_og'));
+  public function setUp($addl_modules = []) {
+    parent::setUp(['ldap_authentication', 'ldap_authorization', 'ldap_authorization_og']);
     variable_set('ldap_simpletest', 2);
 
     $this->user1 = $this->drupalCreateUser();
-    $this->groups = array();
-    $this->prepTestData(LDAP_TEST_LDAP_NAME, array('activedirectory1'));
+    $this->groups = [];
+    $this->prepTestData(LDAP_TEST_LDAP_NAME, ['activedirectory1']);
 
     // Create group and group content node types.
-    $this->groupBundle = $this->drupalCreateContentType(array(
+    $this->groupBundle = $this->drupalCreateContentType([
       'type' => 'group',
       'name' => 'OG Group',
-    ))->type;
+    ])->type;
 
     og_create_field(OG_GROUP_FIELD, $this->groupEntityType, $this->groupBundle);
     og_create_field(OG_AUDIENCE_FIELD, $this->groupEntityType, $this->groupBundle);
@@ -75,7 +77,7 @@ class LdapAuthorizationOg2Tests extends LdapTestCase {
     $this->testFunctions->getCsvLdapData(LDAP_TEST_LDAP_NAME);
     foreach ($this->testFunctions->csvTables['groups'] as $guid => $group) {
       $label = $group['cn'];
-      $settings = array();
+      $settings = [];
       $settings['type'] = $this->groupBundle;
       $settings[OG_GROUP_FIELD][LANGUAGE_NONE][0]['value'] = 1;
       $settings['uid'] = $this->user1->uid;
@@ -106,13 +108,13 @@ class LdapAuthorizationOg2Tests extends LdapTestCase {
    * Get test data in convenient format, so tests are easier to read and write.
    */
   public function getTestData($debug = FALSE) {
-    $group_nodes = array();
-    $group_nids = array();
-    $group_entity_ids = array();
-    $roles = array();
-    $roles_by_name = array();
-    $consumer_ids = array();
-    foreach (array('gryffindor', 'students', 'faculty', 'users', 'hufflepuff', 'slytherin') as $i => $group_name) {
+    $group_nodes = [];
+    $group_nids = [];
+    $group_entity_ids = [];
+    $roles = [];
+    $roles_by_name = [];
+    $consumer_ids = [];
+    foreach (['gryffindor', 'students', 'faculty', 'users', 'hufflepuff', 'slytherin'] as $i => $group_name) {
       list($group_nodes[$group_name], $group_entity_ids[$group_name]) = ldap_authorization_og2_get_group_from_name($this->groupEntityType, $group_name);
       $nid = $group_nodes[$group_name]->nid;
       $group_nids[$group_name] = $nid;
@@ -126,7 +128,7 @@ class LdapAuthorizationOg2Tests extends LdapTestCase {
     if ($debug) {
       debug("group_nids"); debug($group_nids); debug("group_entity_ids"); debug($group_entity_ids); debug("roles"); debug($roles); debug("roles_by_name"); debug($roles_by_name);
     }
-    return array($group_nodes, $group_nids, $group_entity_ids, $roles_by_name, $consumer_ids);
+    return [$group_nodes, $group_nids, $group_entity_ids, $roles_by_name, $consumer_ids];
   }
 
   /**
@@ -169,12 +171,12 @@ class LdapAuthorizationOg2Tests extends LdapTestCase {
      *   og_is_member($group_type, $gid, $entity_type = 'user', $entity = NULL, $states = array(OG_STATE_ACTIVE))
      */
 
-    $values = array(
+    $values = [
       'entity_type' => 'user',
       'entity' => $web_user->uid,
       'field_name' => FALSE,
       'state' => OG_STATE_ACTIVE,
-    );
+    ];
     $og_gryffindor_membership = og_group($this->groupType, $group_nids['gryffindor'], $values);
     $og_faculty_membership = og_group($this->groupType, $group_nids['faculty'], $values);
 
@@ -185,7 +187,7 @@ class LdapAuthorizationOg2Tests extends LdapTestCase {
 
     // Need to reload because of issue with og_group and og_role_grant.
     $web_user = user_load($web_user->uid, TRUE);
-    $ids = array($web_user->uid);
+    $ids = [$web_user->uid];
     $user_entity = entity_load('user', $ids);
 
     $this->assertTrue(og_is_member($this->groupType, $group_nids['gryffindor'], 'user', $web_user),
@@ -217,12 +219,12 @@ class LdapAuthorizationOg2Tests extends LdapTestCase {
     $this->assertTrue($og_auth->hasAuthorization($web_user, ldap_authorization_og_authorization_id($group_nids['faculty'], $roles_by_name['faculty'][OG_ADMINISTRATOR_ROLE], 'node')),
       'hasAuthorization() method works for non LDAP provisioned og authorization, faculty admin role', $this->ldapTestId);
 
-    $should_haves = array(
+    $should_haves = [
       $consumer_ids['gryffindor'][OG_AUTHENTICATED_ROLE] => 'gryffindor member',
       $consumer_ids['faculty'][OG_AUTHENTICATED_ROLE] => 'faculty member',
       $consumer_ids['faculty'][OG_ADMINISTRATOR_ROLE] => 'faculty admin',
       $consumer_ids['faculty']['dungeon-master'] => 'faculty dungeon master',
-    );
+    ];
 
     foreach ($should_haves as $consumer_id => $descriptor) {
       $this->assertTrue(ldap_authorization_og2_has_consumer_id($consumer_id, $web_user->uid),
@@ -230,21 +232,21 @@ class LdapAuthorizationOg2Tests extends LdapTestCase {
     }
 
     $ldap_entry = NULL;
-    $user_data = array();
+    $user_data = [];
     $web_user = user_load($web_user->uid, TRUE);
 
     $this->assertTrue(ldap_authorization_og2_has_consumer_id($consumer_ids['faculty']['dungeon-master'], $web_user->uid),
       "LdapAuthorizationConsumerOG has faculty member role BEFORE authorizationRevoke() test revoke on member role " . $consumer_ids['faculty']['dungeon-master'], $this->ldapTestId);
 
     $web_user = user_load($web_user->uid, TRUE);
-    $consumers = array($consumer_ids['faculty']['dungeon-master'] => $og_auth->emptyConsumer);
+    $consumers = [$consumer_ids['faculty']['dungeon-master'] => $og_auth->emptyConsumer];
     $og_auth->authorizationRevoke($web_user, $user_data, $consumers, $ldap_entry, TRUE);
     $result = ldap_authorization_og2_has_consumer_id($consumer_ids['faculty']['dungeon-master'], $web_user->uid);
     $this->assertFalse($result,
       "LdapAuthorizationConsumerOG authorizationRevoke() test revoke on member role " . $consumer_ids['faculty']['dungeon-master'], $this->ldapTestId);
 
     $web_user = user_load($web_user->uid, TRUE);
-    $consumers = array($consumer_ids['faculty']['dungeon-master'] => $og_auth->emptyConsumer);
+    $consumers = [$consumer_ids['faculty']['dungeon-master'] => $og_auth->emptyConsumer];
     $og_auth->authorizationRevoke($web_user, $user_data, $consumers, $ldap_entry, TRUE);
     $this->assertFalse(ldap_authorization_og2_has_consumer_id($consumer_ids['faculty']['dungeon-master'], $web_user->uid),
       "LdapAuthorizationConsumerOG authorizationRevoke() test revoke on custom member role role " . $consumer_ids['faculty']['dungeon-master'], $this->ldapTestId);
@@ -253,30 +255,30 @@ class LdapAuthorizationOg2Tests extends LdapTestCase {
     $initial_user_authorizations = $og_auth->usersAuthorizations($web_user, TRUE, TRUE);
     debug("initial_user_authorizations authorizations:"); debug($initial_user_authorizations);
     debug("initial_user data:"); debug($web_user->data);
-    $og_auth->authorizationGrant($web_user, $user_data, array($consumer_ids['students'][OG_AUTHENTICATED_ROLE] => $og_auth->emptyConsumer), $ldap_entry, TRUE);
+    $og_auth->authorizationGrant($web_user, $user_data, [$consumer_ids['students'][OG_AUTHENTICATED_ROLE] => $og_auth->emptyConsumer], $ldap_entry, TRUE);
     $success = ldap_authorization_og2_has_consumer_id($consumer_ids['students'][OG_AUTHENTICATED_ROLE], $web_user->uid);
     $this->assertTrue($success, "LdapAuthorizationConsumerOG authorizationGrant() test grant on member role " . $consumer_ids['students'][OG_AUTHENTICATED_ROLE], $this->ldapTestId);
     if (!$success) {
-      debug(array($user_data, array($consumer_ids['students'][OG_AUTHENTICATED_ROLE] => $og_auth->emptyConsumer)));
+      debug([$user_data, [$consumer_ids['students'][OG_AUTHENTICATED_ROLE] => $og_auth->emptyConsumer]]);
       debug("user authorizations:"); debug($og_auth->usersAuthorizations($web_user, TRUE));
     }
     $web_user = user_load($web_user->uid, TRUE);
-    $result = $og_auth->authorizationRevoke($web_user, $user_data, array('node:454:44334' => $og_auth->emptyConsumer), $ldap_entry, TRUE);
+    $result = $og_auth->authorizationRevoke($web_user, $user_data, ['node:454:44334' => $og_auth->emptyConsumer], $ldap_entry, TRUE);
     $this->assertFalse($result,
       'LdapAuthorizationConsumerOG authorizationRevoke() test revoke of bogus authorization', $this->ldapTestId);
 
     $web_user = user_load($web_user->uid, TRUE);
-    $result = $og_auth->authorizationGrant($web_user, $user_data, array('node:454:44334' => $og_auth->emptyConsumer), $ldap_entry, TRUE);
+    $result = $og_auth->authorizationGrant($web_user, $user_data, ['node:454:44334' => $og_auth->emptyConsumer], $ldap_entry, TRUE);
     $this->assertFalse($result,
       'LdapAuthorizationConsumerOG authorizationGrant() test grant of bogus authorization', $this->ldapTestId);
 
     $web_user = user_load($web_user->uid, TRUE);
-    $result = $og_auth->authorizationRevoke($web_user, $user_data, array('bogusformat'), $ldap_entry, TRUE);
+    $result = $og_auth->authorizationRevoke($web_user, $user_data, ['bogusformat'], $ldap_entry, TRUE);
     $this->assertFalse($result,
       'LdapAuthorizationConsumerOG authorizationRevoke()  test revoke malformed params', $this->ldapTestId);
 
     $web_user = user_load($web_user->uid, TRUE);
-    $result = $og_auth->authorizationGrant($web_user, $user_data, array('bogusformat'), $ldap_entry, TRUE);
+    $result = $og_auth->authorizationGrant($web_user, $user_data, ['bogusformat'], $ldap_entry, TRUE);
     $this->assertFalse($result,
       'LdapAuthorizationConsumerOG authorizationGrant() test grant malformed params', $this->ldapTestId);
 
@@ -305,7 +307,7 @@ class LdapAuthorizationOg2Tests extends LdapTestCase {
     $sid = 'activedirectory1';
     $this->prepTestData(
     LDAP_TEST_LDAP_NAME,
-    array($sid),
+    [$sid],
     'provisionToDrupal',
     'default',
     'og_group2'
@@ -330,8 +332,8 @@ class LdapAuthorizationOg2Tests extends LdapTestCase {
     $this->consumerAdminConf['og_group']->status = 0;
     $this->consumerAdminConf['og_group']->save();
 
-    $user = $this->drupalCreateUser(array());
-    $hpotter = $this->testFunctions->drupalLdapUpdateUser(array('name' => 'hpotter', 'mail' => 'hpotter@hogwarts.edu'), TRUE, $user);
+    $user = $this->drupalCreateUser([]);
+    $hpotter = $this->testFunctions->drupalLdapUpdateUser(['name' => 'hpotter', 'mail' => 'hpotter@hogwarts.edu'], TRUE, $user);
 
     // Just see if the correct ones are derived.
     list($new_authorizations, $notifications) = ldap_authorizations_user_authorizations($hpotter, 'query');
@@ -364,8 +366,8 @@ class LdapAuthorizationOg2Tests extends LdapTestCase {
     $this->consumerAdminConf['og_group']->status = 1;
     $this->consumerAdminConf['og_group']->save();
 
-    $user = $this->drupalCreateUser(array());
-    $hgrainger = $this->testFunctions->drupalLdapUpdateUser(array('name' => 'hgrainger', 'mail' => 'hgrainger@hogwarts.edu'), TRUE, $user);
+    $user = $this->drupalCreateUser([]);
+    $hgrainger = $this->testFunctions->drupalLdapUpdateUser(['name' => 'hgrainger', 'mail' => 'hgrainger@hogwarts.edu'], TRUE, $user);
 
     // Remove old authmap in case it exists so test will work.
     db_delete('authmap')
@@ -390,10 +392,10 @@ class LdapAuthorizationOg2Tests extends LdapTestCase {
 
     $this->consumerAdminConf['og_group']->synchOnLogon = 0;
     $this->consumerAdminConf['og_group']->save();
-    $edit = array(
+    $edit = [
       'name' => 'hgrainger',
       'pass' => 'goodpwd',
-    );
+    ];
     $this->drupalPost('user', $edit, t('Log in'));
     $this->assertText(
       t('Member for'),
@@ -411,10 +413,10 @@ class LdapAuthorizationOg2Tests extends LdapTestCase {
 
     $this->consumerAdminConf['og_group']->synchOnLogon = 1;
     $this->consumerAdminConf['og_group']->save();
-    $edit = array(
+    $edit = [
       'name' => 'hgrainger',
       'pass' => 'goodpwd',
-    );
+    ];
     $this->drupalPost('user', $edit, t('Log in'));
     $this->assertText(t('Member for'), 'New Ldap user with good password authenticated.',
       'LDAP_authorz.Flags.synchOnLogon=1');
@@ -451,12 +453,12 @@ class LdapAuthorizationOg2Tests extends LdapTestCase {
     // Set correct roles manually.
     $hpotter = user_load_by_name('hpotter');
     user_delete($hpotter->uid);
-    $user = $this->drupalCreateUser(array());
-    $hpotter = $this->testFunctions->drupalLdapUpdateUser(array('name' => 'hpotter', 'mail' => 'hpotter@hogwarts.edu'), TRUE, $user);
-    $edit = array(
+    $user = $this->drupalCreateUser([]);
+    $hpotter = $this->testFunctions->drupalLdapUpdateUser(['name' => 'hpotter', 'mail' => 'hpotter@hogwarts.edu'], TRUE, $user);
+    $edit = [
       'name' => 'hpotter',
       'pass' => 'goodpwd',
-    );
+    ];
     $this->drupalPost('user', $edit, t('Log in'));
     $this->assertText(
       t('Member for'),
@@ -472,19 +474,19 @@ class LdapAuthorizationOg2Tests extends LdapTestCase {
     $roles[$troublemaker->rid] = $troublemaker->name;
     $roles[$superadmin->rid] = $superadmin->name;
 
-    $data = array(
+    $data = [
       'roles' => $roles,
-      'data' => array(
+      'data' => [
         'ldap_authorizations' =>
-      array(
+      [
         'og_group' =>
-        array(
+        [
           $superadmin->name =>
-          array('date_granted' => 1304216778),
-        ),
-      ),
-      ),
-    );
+          ['date_granted' => 1304216778],
+        ],
+      ],
+      ],
+    ];
     $hpotter = user_save($hpotter, $data);
 
     // Apply correct authorizations.  should remove the administrator role but not the manually created 'troublemaker' role.
@@ -513,7 +515,7 @@ class LdapAuthorizationOg2Tests extends LdapTestCase {
     $hpotter = user_load($hpotter->uid, TRUE);
     $roles = $hpotter->roles;
     unset($roles[$superadmin->rid]);
-    user_save($hpotter, array('roles' => $roles));
+    user_save($hpotter, ['roles' => $roles]);
     $hpotter = user_load($hpotter->uid, TRUE);
     list($new_authorizations, $notifications) = ldap_authorizations_user_authorizations($hpotter, 'set', 'og_group', 'logon');
     $hpotter = user_load($hpotter->uid, TRUE);
@@ -538,25 +540,25 @@ class LdapAuthorizationOg2Tests extends LdapTestCase {
       // @todo.  this needs to be finished when creation of og groups is added to ldap authorization og functionality
 
       // Add new mapping to and enable create consumers.
-      $this->prepTestData('hogwarts', array($sid), 'provisionToDrupal', 'default', 'drupal_role_default');
+      $this->prepTestData('hogwarts', [$sid], 'provisionToDrupal', 'default', 'drupal_role_default');
       $this->drupalGet('user/logout');
       $new_role = 'oompa-loompas';
       $this->consumerAdminConf['og_group']->createConsumers = 1;
-      $this->consumerAdminConf['og_group']->mappings[] = array(
+      $this->consumerAdminConf['og_group']->mappings[] = [
         'from' => 'cn=students,ou=groups,dc=hogwarts,dc=edu',
         'user_entered' => $new_role,
         'normalized' => 'node:' . $new_role . ':' . OG_AUTHENTICATED_ROLE,
         'simplified' => $new_role,
         'valid' => TRUE,
         'error_message' => '',
-      );
+      ];
 
       $this->consumerAdminConf['og_group']->save();
 
-      $edit = array(
+      $edit = [
         'name' => 'hpotter',
         'pass' => 'goodpwd',
-      );
+      ];
       $this->drupalPost('user', $edit, t('Log in'));
 
       $new_role_created = in_array($new_role, array_values(user_roles()));
diff --git a/drupal7/sites/all/modules/ldap/ldap_feeds/FeedsDrupalUserLdapEntryFetcher.inc b/drupal7/sites/all/modules/ldap/ldap_feeds/FeedsDrupalUserLdapEntryFetcher.inc
index e6710831..f93dd266 100644
--- a/drupal7/sites/all/modules/ldap/ldap_feeds/FeedsDrupalUserLdapEntryFetcher.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_feeds/FeedsDrupalUserLdapEntryFetcher.inc
@@ -2,12 +2,14 @@
 
 /**
  * @file
- * FeedsDrupalUserLdapEntryFetcher
+ * FeedsDrupalUserLdapEntryFetcher.
  */
 
 define('LDAP_FEEDS_DRUPAL_USER_FETCHER_FILTER_AUTHENTICATED', FALSE);
 define('LDAP_FEEDS_DRUPAL_USER_FETCHER_FILTER_ROLES', FALSE);
-
+/**
+ *
+ */
 class FeedsDrupalUserLdapEntryFetcherResult extends FeedsFetcherResult {
 
   public $filterLdapAuthenticated;
@@ -28,26 +30,24 @@ class FeedsDrupalUserLdapEntryFetcherResult extends FeedsFetcherResult {
   }
 
   /**
-   * Overrides parent::getRaw();
+   * Overrides parent::getRaw();.
    */
   public function getRaw() {
 
-    // needs to loop through all users, and query ldap for each, one at a time
-
-    $query = new EntityFieldQuery;
+    // Needs to loop through all users, and query ldap for each, one at a time.
+    $query = new EntityFieldQuery();
     $entities = $query
       ->entityCondition('entity_type', 'user')
       ->execute();
     $users = entity_load('user', array_keys($entities['user']));
     if ($this->filterRoles) {
       $selectedRoles = array_filter($this->filterRoles);
-      $filterOnRoles = (boolean)(count($selectedRoles));
+      $filterOnRoles = (boolean) (count($selectedRoles));
     }
     else {
       $filterOnRoles = FALSE;
     }
 
-
     foreach ($users as $uid => $user) {
       if (
         $uid == 0 ||
@@ -64,16 +64,16 @@ class FeedsDrupalUserLdapEntryFetcherResult extends FeedsFetcherResult {
         foreach ($this->availableDrupalUserAttributes as $attr_name => $attr_conf) {
           $ldap_user['attr'][] = $attr_conf['token'];
           $ldap_user['attr'][$attr_conf['token']]['count'] = 1;
-          $ldap_user['attr'][$attr_conf['token']][0] = (string)$user->{$attr_name};
+          $ldap_user['attr'][$attr_conf['token']][0] = (string) $user->{$attr_name};
         }
 
         $results[] = $ldap_user;
       }
     }
     $results['count'] = count($results);
-   // drupal_set_message("<pre>" . print_r($results, TRUE));
     return $results;
   }
+
 }
 
 /**
@@ -94,11 +94,11 @@ class FeedsDrupalUserLdapEntryFetcher extends FeedsFetcher {
    * Override parent::configDefaults().
    */
   public function configDefaults() {
-    return array(
-      'filterLdapAuthenticated' => array(),
+    return [
+      'filterLdapAuthenticated' => [],
       'availableDrupalUserAttributes' => ldap_feeds_drupal_user_attributes(),
-      'filterRoles' => array(),
-    );
+      'filterRoles' => [],
+    ];
   }
 
   /**
@@ -106,13 +106,13 @@ class FeedsDrupalUserLdapEntryFetcher extends FeedsFetcher {
    */
   public function configForm(&$form_state) {
 
-    $form = array();
-    $form['filterLdapAuthenticated'] = array(
+    $form = [];
+    $form['filterLdapAuthenticated'] = [
       '#type' => 'checkbox',
       '#title' => t('Only return ldap authenticated users.'),
       '#default_value' => $this->config['filterLdapAuthenticated'],
       '#description' => t('If checked, only users who are associated with ldap accounts will be returned.'),
-    );
+    ];
 
     return $form;
   }
@@ -128,20 +128,18 @@ class FeedsDrupalUserLdapEntryFetcher extends FeedsFetcher {
    * Override parent::sourceForm().
    */
   public function sourceForm($source_config) {
-    $tokens = array(
+    $tokens = [
       '!edit_link' => l(t('Edit Feed'), 'admin/structure/feeds/' . $this->id),
-    );
+    ];
 
-    $form_state = array();
+    $form_state = [];
     $form = $this->configForm($form_state);
-    $form['addendum'] = array(
+    $form['addendum'] = [
       '#type' => 'markup',
       '#markup' => t('This import is configured at !edit_link.', $tokens),
-    );
+    ];
 
     return $form;
   }
 
-
-
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_feeds/FeedsLdapEntryParser.inc b/drupal7/sites/all/modules/ldap/ldap_feeds/FeedsLdapEntryParser.inc
index 0b11b0ae..6d4bf471 100644
--- a/drupal7/sites/all/modules/ldap/ldap_feeds/FeedsLdapEntryParser.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_feeds/FeedsLdapEntryParser.inc
@@ -2,33 +2,35 @@
 
 /**
  * @file
- *
  * Provides the Parser for an ldap entry array.
  */
 
+/**
+ *
+ */
 class FeedsLdapEntryParser extends FeedsParser {
   public $ldap_result;
 
-   /**
+  /**
    * Implements FeedsParser::parse().
    */
   public function parse(FeedsSource $source, FeedsFetcherResult $fetcher_result) {
 
     $mappings = feeds_importer($this->id)->processor->config['mappings'];
     $ldap_entries = $fetcher_result->ldap_result;
-    $parsed_items = array();
+    $parsed_items = [];
     for ($i = 0; $i < $ldap_entries['count']; $i++) {
       $ldap_entry = $ldap_entries[$i];
-      $parsed_item = array('dn' => (string)$ldap_entry['dn']);
+      $parsed_item = ['dn' => (string) $ldap_entry['dn']];
       foreach ($mappings as $j => $map) {
         $source_lcase = drupal_strtolower($map['source']);
-        // dn is already parsed
+        // Dn is already parsed.
         if ($source_lcase == 'dn') {
           continue;
         }
         $source = $map['source'];
         if (isset($ldap_entry['attr'])) {
-          // exception need because of unconvential format of ldap data returned from $ldap_server->userUserNameToExistingLdapEntry
+          // Exception need because of unconvential format of ldap data returned from $ldap_server->userUserNameToExistingLdapEntry.
           $ldap_attributes = $ldap_entry['attr'];
         }
         else {
@@ -36,7 +38,7 @@ class FeedsLdapEntryParser extends FeedsParser {
         }
         if (isset($ldap_attributes[$source_lcase][0])) {
           if ($ldap_attributes[$source_lcase]['count'] == 1 && is_scalar($ldap_attributes[$source_lcase][0])) {
-            $parsed_item[$source] = (string)$ldap_attributes[$source_lcase][0];
+            $parsed_item[$source] = (string) $ldap_attributes[$source_lcase][0];
           }
           else {
             unset($ldap_attributes[$source_lcase]['count']);
@@ -54,12 +56,11 @@ class FeedsLdapEntryParser extends FeedsParser {
     return $result;
   }
 
-
   /**
    * Source form.
    */
   public function sourceForm($source_config) {
-    $form = array();
+    $form = [];
     $mappings = feeds_importer($this->id)->processor->config['mappings'];
     if (empty($source_config)) {
       $source_config = $this->config;
@@ -71,14 +72,13 @@ class FeedsLdapEntryParser extends FeedsParser {
    * Override parent::configFormValidate().
    */
   public function configFormValidate(&$values) {
-    $this->setConfig(array('sources' => $values));
+    $this->setConfig(['sources' => $values]);
     $this->save();
   }
 
-
   /**
-  * Override parent::getMappingSources().
-  */
+   * Override parent::getMappingSources().
+   */
   public function getMappingSources() {
     return FALSE;
   }
@@ -87,25 +87,22 @@ class FeedsLdapEntryParser extends FeedsParser {
    * Override parent::configDefaults().
    */
   public function configDefaults() {
-    /** removed until design decisions on multivalued attributes are made
-    return array(
-      'multivalued' => LDAP_FEEDS_QUERY_FETCHER_MULTI_DEFAULT,
-    );
-
-  */
-    return array();
+    return [];
   }
 
-   /**
+  /**
    * Override parent::configForm().
    */
   public function configForm(&$form_state) {
-    $form = array();
+    $form = [];
     return $form;
   }
 
+  /**
+   *
+   */
   public function sourceDefaults() {
-    return array();
+    return [];
   }
 
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_feeds/FeedsLdapQueryFetcher.inc b/drupal7/sites/all/modules/ldap/ldap_feeds/FeedsLdapQueryFetcher.inc
index a7b91f84..94cc0279 100644
--- a/drupal7/sites/all/modules/ldap/ldap_feeds/FeedsLdapQueryFetcher.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_feeds/FeedsLdapQueryFetcher.inc
@@ -2,32 +2,32 @@
 
 /**
  * @file
- * FeedsLdapQueryFetcher
+ * FeedsLdapQueryFetcher.
  */
 
 /**
- * FeedsLdapQueryFetcherResult
+ * FeedsLdapQueryFetcherResult.
  */
 class FeedsLdapQueryFetcherResult extends FeedsFetcherResult {
-  public $query_ids = array();
+  public $query_ids = [];
   public $ldap_result;
 
   /**
    * Constructor.
    */
   public function __construct($source_config) {
-    $this->query_ids = (isset($source_config['query_ids']) && is_array($source_config['query_ids'])) ? $source_config['query_ids'] : array();
+    $this->query_ids = (isset($source_config['query_ids']) && is_array($source_config['query_ids'])) ? $source_config['query_ids'] : [];
     parent::__construct('');
     $this->ldap_result = $this->getRaw();
     return $this->ldap_result;
   }
 
   /**
-   * Overrides parent::getRaw();
+   * Overrides parent::getRaw();.
    */
   public function getRaw() {
 
-    $results = array();
+    $results = [];
     $count = 0;
     foreach ($this->query_ids as $i => $query_id) {
       $ldapQuery = ldap_query_get_queries($query_id, 'enabled', TRUE);
@@ -42,6 +42,7 @@ class FeedsLdapQueryFetcherResult extends FeedsFetcherResult {
     }
     return $results;
   }
+
 }
 
 /**
@@ -58,27 +59,26 @@ class FeedsLdapQueryFetcher extends FeedsFetcher {
     return $result;
   }
 
-
   /**
    * Override parent::configDefaults().
    */
   public function configDefaults() {
-    return array(
-      'query_ids' => array(),
-    );
+    return [
+      'query_ids' => [],
+    ];
   }
 
-    /**
+  /**
    * Override parent::configForm().
    */
   public function configForm(&$form_state) {
     $queries = ldap_query_get_queries(NULL, 'enabled');
-    $query_options = array(0 => '--- select one or more queries ---');
+    $query_options = [0 => '--- select one or more queries ---'];
     foreach ($queries as $qid => $query) {
       $query_options[$qid] = $query->name;
     }
-    $form = array();
-    $form['query_ids'] = array(
+    $form = [];
+    $form['query_ids'] = [
       '#type' => 'select',
       '#title' => t('LDAP Query'),
       '#multiple' => TRUE,
@@ -86,10 +86,10 @@ class FeedsLdapQueryFetcher extends FeedsFetcher {
       '#required' => TRUE,
       '#default_value' => $this->config['query_ids'],
       '#description' => t('If more than one query is selected, results from all the queries will be returned.') .
-        ' ' .
-        t('Queries can be added and edited at !link', array('!link' => l(t('LDAP Query Admin'), LDAP_QUERY_INDEX_BASE_PATH))),
+      ' ' .
+      t('Queries can be added and edited at !link', ['!link' => l(t('LDAP Query Admin'), LDAP_QUERY_INDEX_BASE_PATH)]),
       '#options' => $query_options,
-    );
+    ];
 
     return $form;
   }
@@ -99,16 +99,16 @@ class FeedsLdapQueryFetcher extends FeedsFetcher {
    */
   public function sourceForm($source_config) {
 
-    $tokens = array(
+    $tokens = [
       '!edit_link' => l(t('Edit Feed'), 'admin/structure/feeds/' . $this->id),
-    );
+    ];
 
-    $form_state = array();
+    $form_state = [];
     $form = $this->configForm($form_state);
-    $form['preamble'] = array(
+    $form['preamble'] = [
       '#type' => 'markup',
       '#markup' => t('This import is configured at !edit_link.', $tokens),
-    );
+    ];
 
     return $form;
   }
@@ -117,7 +117,7 @@ class FeedsLdapQueryFetcher extends FeedsFetcher {
    * Override parent::sourceFormValidate().
    */
   public function sourceFormValidate(&$values) {
-     // could execute query and see if it returns anything for validation
+    // Could execute query and see if it returns anything for validation.
   }
 
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.info b/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.info
index d7df020c..4c4c0743 100644
--- a/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.info
+++ b/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.info
@@ -10,10 +10,10 @@ dependencies[] = ldap_query
 configure = admin/structure/feeds
 
 core = 7.x
-php = 5.2
+php = 5.4
 
-; Information added by Drupal.org packaging script on 2018-08-13
-version = "7.x-2.4"
+; Information added by Drupal.org packaging script on 2019-04-20
+version = "7.x-2.5"
 core = "7.x"
 project = "ldap"
-datestamp = "1534201086"
+datestamp = "1555751588"
